
Name:       pmount
Version:    0.9.23
Release:    %mkrel 2
Summary:    Pmount allow mounting devices without fstab modifications
License:    GPLv2
Group:      System/Base
Url:        http://packages.debian.org/unstable/utils/pmount
Source0:    http://ftp.de.debian.org/debian/pool/main/p/%{name}/%{name}_%{version}.orig.tar.xz
Patch0:     %{name}-0.9.17-no-user-change-during-install.patch
Patch1:         pmount-0.9.17-nosetuid.patch
# Add exfat support
# https://bugs.launchpad.net/ubuntu/+source/pmount/+bug/1524523
Patch2:         pmount.exfat.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  e2fsprogs-devel
BuildRequires:  libblkid-devel

BuildRequires: libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Pmount allow mounting usb, firewire and pcmci media without modifying
/etc/fstab. It's a good base for automount software.

%prep
%setup -q -n %{name}-%{version}
%apply_patches
autoreconf -ifv
libtoolize

%build
# mount, umount, cryptsetup and ntfs-3g paths are right and don't use rpm 
# macros, so the corresponding configure options are not used. /media/ is
# also rightly used.
%configure2_5x \
  --enable-hal=no \
  --with-lock-dir=%{_localstatedir}/lock/pmount \
  --with-whitelist=%{_sysconfdir}/pmount.allow
%make_build

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%{_mandir}/man?/*
%{_sysconfdir}/pmount.allow
%attr(4755,root,root) %{_bindir}/pmount
%attr(4755,root,root) %{_bindir}/pumount




%changelog
* Thu May 19 2022 yodelu 0.9.23-2pclos2022
- build without hal

* Tue Dec 28 2010 Texstar <texstar at gmail.com> 0.9.23-1pclos2010
- 0.9.23-1

* Thu Oct 21 2010 Texstar <texstar at gmail.com> 0.9.19-3pclos2010
- change pmount.allow per OC

* Mon Sep 13 2010 Texstar <texstar at gmail.com> 0.9.19-2pclos2010
- change pmount.allow for usbkey

* Sun May 24 2009 pcserver <pcserver@hushmail.com> 0.9.19-1pclos2009
- create for pclos

